--
-- WoodLogsWeight
-- Show total weight, volume and number of logs on your truck / trailer.
-- @author:    	kenny456 (kenny456@seznam.cz)
-- @history:	v1.0 - 2017-09-10 - 
-- 
SpecializationUtil.registerSpecialization("WoodLogsWeight", "WoodLogsWeight", g_currentModDirectory.."WoodLogsWeight.lua");

WoodLogsWeight_register = {};
WoodLogsWeight_register.modDir = g_currentModDirectory;

function WoodLogsWeight_register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print("WoodLogsWeight mod loaded")
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and (vs == SpecializationUtil.getSpecialization("drivable") or vs == SpecializationUtil.getSpecialization("trailer") or vs == SpecializationUtil.getSpecialization("dynamicMountAttacher") --[[or vs == SpecializationUtil.getSpecialization("foldable")]]) then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.WoodLogsWeight", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("WoodLogsWeight"));
							allowInsertion = false;
						end;
					end;
				end;
			end;	
		end;
	end;
end;
function WoodLogsWeight_register:deleteMap()
end;
function WoodLogsWeight_register:keyEvent(unicode, sym, modifier, isDown)
end;
function WoodLogsWeight_register:mouseEvent(posX, posY, isDown, isUp, button)
end;
function WoodLogsWeight_register:update(dt)
end;
function WoodLogsWeight_register:draw()
end;

addModEventListener(WoodLogsWeight_register);
